#!/usr/bin/perl
#This code copies the most recent tarfile of PBO-processed data in the SNARF 
#reference frame, untars it and makes a stationlist.txt file that contains:
#StationName Lat Lon Elevation X Y Z




$home=`pwd`;
chomp($home);

$UNAVCOpath = "ftp://data-out.unavco.org/pub/products/position/";
$datafile   = "pbo.snf01.pos";
$GPSDataDir     = "/Users/rlohman/Desktop/SCECtimeseries/GPSData";

chdir($GPSDataDir);

#Get and untar data if file doesn't exist or has been unmodified for a day
if (-M "${datafile}.tar" > 1 or !(-f "${datafile}.tar")){
  `curl ${UNAVCOpath}${datafile}.tar.gz > ${datafile}.tar.gz`;
  `gunzip ${datafile}.tar.gz`;
  `tar xvf ${datafile}.tar`;
}


#make datalist
open OUT, ">stationlist.txt";

chdir($datafile);
@files=split /\s+/, `ls *pos`;

foreach $file (@files){
  $file=~/^(.{4})/;
  $name=$1;
  open IN, "$file";
  for ($i=1;$i<=7;$i++) {$junk=<IN>}
  $junk=<IN>;
  $junk=~/XYZ.*:\s+(.+)\s+(.+)\s+(.+)\s+\(SNARF/ or die "Wrong format of $junk\n";
  $X=$1;
  $Y=$2;
  $Z=$3;
  $junk=<IN>;

  $junk=~/NEU.*:\s+(.+)\s+(.+)\s+(.+)\s+\(SNARF/ or die "Wrong format of $junk\n";
  $N=$1;
  $E=$2;
  $U=$3;
  print OUT "$name $N $E $U $X $Y $Z\n";
  close(IN);
}
close(OUT);


chdir($home);
