function [resE,resN,fitinfo]=fit_individ(daten,Edel,Ndel,EQdaten)
general_params
options   = optimset('Display','off');
nd        = length(daten);
G         = [daten ones(size(daten))];

%Initialize

shiftn    = zeros(size(EQdaten));
shifte    = zeros(size(EQdaten));
decaymodN = zeros(length(EQdaten),5);
decaymodE = zeros(length(EQdaten),5);

%overall slope
[Pn,resnorm,resN] = lsqlin(G,Ndel);
[Pe,resnorm,resE] = lsqlin(G,Edel);
resN              = -resN;
resE              = -resE;

for j=1:length(EQdaten)
    dt = daten-EQdaten(j)-1;
    d1 = find(dt<0);
    d2 = find(dt>=0);
    if(and(length(d1)>0,length(d2)>0))
        Pneq        = G(d1,:)\resN(d1);
        Peeq        = G(d1,:)\resE(d1);
        predn       = polyval(Pneq,daten);
        prede       = polyval(Peeq,daten);
        shiftn(j)   = resN(d2(1))-predn(d2(1));
        shifte(j)   = resE(d2(1))-prede(d2(1));
        resN(d2)    = resN(d2)-shiftn(j);
        resE(d2)    = resE(d2)-shifte(j);
        resN        = resN-predn;
        resE        = resE-prede;
    else
        shiftn(j)   = 0;
        shifte(j)   = 0;
        Pneq        = [0;0];
        Peeq        = [0;0];
    end
    Pn=Pn+Pneq;
    Pe=Pe+Peeq;
    
    %fit inter or post-EQ
    if(j<length(EQdaten)-1)
        dint = find(and(daten>EQdaten(j),daten<EQdaten(j+1)));
        df   = find(daten>EQdaten(j));
    else
        dint = find(daten>EQdaten(j));
        df   = dint;
    end

    if(length(dint)>minint)
        mod1N   = [resN(dint(end)) -resN(dint(end))/2 1/50 -resN(dint(end))/2 1/50];
        mod1E   = [resE(dint(end)) -resE(dint(end))/2 1/50 -resE(dint(end))/2 1/50];
        [mod2N,resnorm,residual] = lsqcurvefit(@myexpfit2,mod1N,daten(dint)-min(daten(dint)),resN(dint),[],[],options);
        [mod2E,resnorm,residual] = lsqcurvefit(@myexpfit2,mod1E,daten(dint)-min(daten(dint)),resE(dint),[],[],options);
        synthN         = myexpfit2(mod2N,daten(df)-min(daten(dint)));
        synthE         = myexpfit2(mod2E,daten(df)-min(daten(dint)));
        resN(df)       = resN(df)-synthN;
        resE(df)       = resE(df)-synthE;
        decaymodN(j,:) = mod2N;
        decaymodE(j,:) = mod2E;
    else
        decaymodN(j,:) = zeros(1,5);
        decaymodE(j,:) = zeros(1,5);

    end
    
   
end

fitinfo=struct('EQ',EQdaten,'Pn',Pn,'Pe',Pe,'shiftn',shiftn,'shifte',shifte,'decaymodN',decaymodN,'decaymodE',decaymodE);

