mu      = 3.3e10; %rigidity nm
EQs     = load(CMTname);
YY      = EQs(:,2);
YYYY    = YY+2000;
YYYY(YY>50) = YYYY(YY>50)-100;
EQdaten = datenum(YYYY,EQs(:,3),EQs(:,4));
EQlat   = EQs(:,7);
EQlon   = EQs(:,8);
EQz     = EQs(:,9)*1e3;
EQm0    = EQs(:,11).*10.^EQs(:,10);
EQstr   = EQs(:,16);
EQdip   = EQs(:,17);
EQrak   = EQs(:,18);
EQL     = (EQm0/1e7*2/pi/1e7).^(1/3); %characteristic dimension assuming 100bar stress drop
EQW     = EQL;
%Make sure faults don't break surface
id      = find(EQW.*sind(EQdip)>EQz);
EQW(id) = EQz(id)./sind(EQdip(id));
EQL(id) = EQL(id).^2./EQW(id);
EQslip  = EQm0/1e7./EQL./EQW/mu;
[EQx,EQy]=my_utm2ll(EQlon,EQlat,2,'11S');
for i=1:length(EQx)
    [ux1,uy1,uz1]=calc_okada(1,x-EQx(i),y-EQy(i),0.25,EQdip(i),EQz(i),EQL(i),EQW(i),1,EQstr(i));
    [ux2,uy2,uz2]=calc_okada(1,x-EQx(i),y-EQy(i),0.25,EQdip(i),EQz(i),EQL(i),EQW(i),2,EQstr(i));
    EQux(i,:)=EQslip(i)*[cosd(EQrak(i))*ux1+sind(EQrak(i))*ux2];
    EQuy(i,:)=EQslip(i)*[cosd(EQrak(i))*uy1+sind(EQrak(i))*uy2];
    EQuz(i,:)=EQslip(i)*[cosd(EQrak(i))*uz1+sind(EQrak(i))*uz2];
end       

